VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Static Public Member Functions | List of all members
IMultiBitmapControlCreator Struct Reference

## Public Types
using | string = IViewCreator::string
using | StringList = IViewCreator::StringList

## Static Public Member Functions
static bool | apply (CView *view, const UIAttributes &attributes, const IUIDescription *description)
static bool | getAttributeNames (StringList &attributeNames)
static IViewCreator::AttrType | getAttributeType (const string &attributeName)
static bool | getAttributeValue (CView *view, const string &attributeName, string &stringValue, const IUIDescription *desc)

## Member Typedef Documentation

using string = IViewCreator::string

using StringList = IViewCreator::StringList

## Member Function Documentation

bool apply | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  |
| static

bool getAttributeNames | ( | StringList & | attributeNames | ) |
| static

IViewCreator::AttrType getAttributeType | ( | const string & | attributeName | ) |
| static

bool getAttributeValue | ( | CView * | view,
|  | const string & | attributeName,
|  | string & | stringValue,
|  | const IUIDescription * | desc
| ) |  |
| static

The documentation for this struct was generated from the following files:

- multibitmapcontrolcreator.h
- multibitmapcontrolcreator.cpp